cURL
curl --request POST \
--url https://app.teable.ai/api/admin/setting/test-llm \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"type":"openai","name":"string","apiKey":"string","baseUrl":"http://example.com","models":"","modelKey":"string","ability":["image"],"testImageGeneration":true,"testImageToImage":true}'const url = 'https://app.teable.ai/api/admin/setting/test-llm';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"type":"openai","name":"string","apiKey":"string","baseUrl":"http://example.com","models":"","modelKey":"string","ability":["image"],"testImageGeneration":true,"testImageToImage":true}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/admin/setting/test-llm',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
type: 'openai',
name: 'string',
apiKey: 'string',
baseUrl: 'http://example.com',
models: '',
modelKey: 'string',
ability: ['image'],
testImageGeneration: true,
testImageToImage: true
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"type\":\"openai\",\"name\":\"string\",\"apiKey\":\"string\",\"baseUrl\":\"http://example.com\",\"models\":\"\",\"modelKey\":\"string\",\"ability\":[\"image\"],\"testImageGeneration\":true,\"testImageToImage\":true}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/admin/setting/test-llm", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"success": true,
"response": "<string>",
"ability": {
"image": true,
"pdf": true,
"webSearch": true,
"toolCall": true,
"reasoning": true,
"imageGeneration": true
}
}admin
Post adminsettingtest llm
Test LLM provider configuration
POST
/
admin
/
setting
/
test-llm
cURL
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
可用选项:
openai, anthropic, google, azure, cohere, mistral, deepseek, qwen, zhipu, lingyiwanwu, xai, togetherai, ollama, amazonBedrock, openRouter, openaiCompatible, aiGateway 可用选项:
image, pdf, webSearch, toolCall, reasoning, imageGeneration 最后修改于 2026年3月5日
此页面对您有帮助吗?
⌘I

